> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# View logs

> Display the most recent logs for deliveries to the specified webhook.



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /webhooks/{webhookID}/logs
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /webhooks/{webhookID}/logs:
    parameters:
      - $ref: '#/components/parameters/WebhookIDParameter'
    get:
      tags:
        - Webhooks
      summary: View logs
      description: Display the most recent logs for deliveries to the specified webhook.
      responses:
        '200':
          description: >-
            Recent delivery looks for the webhook (the returned list is empty if
            none found)
          content:
            application/json:
              schema:
                title: Delivery Logs
                type: object
                required:
                  - count
                  - data
                properties:
                  count:
                    type: integer
                    description: The number of logs returned
                  data:
                    type: array
                    minItems: 0
                    items:
                      $ref: '#/components/schemas/WebhookEventDeliveryLog'
              examples:
                WebhookEventsFound:
                  summary: A non-empty list of webhook events
                  value:
                    count: 1
                    data:
                      - $ref: >-
                          #/components/examples/SuccessfulWebhookLogsResponse/value
                NoWebhookEventsFound:
                  summary: An empty list of webhook events
                  value:
                    data: []
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    WebhookIDParameter:
      name: webhookID
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/Id'
  schemas:
    WebhookEventDeliveryLog:
      required:
        - status
        - event_id
        - response_body
        - created_at
      properties:
        status:
          type: integer
          description: The status code of the delivery
        event_id:
          $ref: '#/components/schemas/Id'
          description: The id of the event for the delivery
        response_body:
          type: string
          description: The response body of the delivery
        created_at:
          type: string
          format: date-time
          description: The time of the delivery
    Id:
      description: A UUID that uniquely identifies a resource
      type: string
      pattern: '[a-z0-9]*'
      minLength: 1
      maxLength: 42
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  responses:
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````